#!/bin/bash
product_list_file=$1
echo "Starting registrar test"

OS_PASSWORD=$(docker exec -i $(docker ps -qf "name=emg-pvs_registrar") cat /run/secrets/OS_PASSWORD)

IFS=","
docker exec -i $(docker ps -qf "name=emg-pvs_registrar") /wait-initialized.sh
docker exec -i $(docker ps -qf "name=emg-pvs_renderer") /wait-initialized.sh
while read product; do
    docker exec -e OS_PASSWORD=$OS_PASSWORD -i $(docker ps -qf "name=emg-pvs_registrar") \
        registrar register \
            --service-url $SERVICE_URL \
            --reporting-dir "/mnt/reports" \
            --config-file /config.yaml \
            "$product"

done < "$product_list_file"

pytest
if [ $? -ne 0 ]; then echo "Pytest fail" >&2 && exit 1; fi

swift delete preprocessor_results
